Bug 177289 - kcontrol (and kcmshell panel) unable to bring up kicker config options
kcontrol (and kcmshell panel) unable to bring up kicker config options
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 23:06 EST by Harvey Stein
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 06:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 118172 None None None Never

  None (edit)
Description Harvey Stein 2006-01-08 23:06:17 EST
Description of problem:
kcontrol is unable to bring up the kicker config options.

Version-Release number of selected component (if applicable):
kdelibs-3.5.0


How reproducible:
   Run:
      kcmshell panel
   from the shell prompt, or choose settings->desktop->panel from KDE menu.

   No kicker options are displayed.

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:
No options displayed.

Expected results:
Options for configuring kicker would be displayed.

Additional info:
From KDE bug website (https://bugs.kde.org/show_bug.cgi?id=118172)

Bug 118172: Kcontrol can no longer configure panel (taskbar, kicker) placement
Version:           unknown (using KDE 3.5.0-1.7.fc3.kde, Fedora Core release 3
(Heidelberg))
Compiler:          gcc version 3.4.4 20050721 (Red Hat 3.4.4-2)
OS:                Linux (i686) release 2.6.12-1.1381_FC3

I'm looking for the menu that allows me to configure panel behavior (autohide,
width of panels, etc.)

Choosing Desktop->Panels in kcontrol leads to an empty configuration surface.

And the widget is not in the right-click menus on the panels either.

Problem appears on Fedora Core 3, it works fine in SuSE 9.3 (both use KDE 3.5)


------- Additional Comment #1 From Aaron J. Seigo 2005-12-12 18:00 -------
this is a Red Hat bug. (as you noted yourself, even =)
as such, there is nothing we (KDE) can do about it. it has already been reported
to Red Hat in their bug tracker AFAIK.
in any case, the fix is most likely to correct the XDG_CONFIG_DIRS and
XDG_DATA_DIRS env vars to have the correct values. if you need to know what
those are, please ask in a Fedora Core support channel.
Comment 1 Niko Mirthes 2006-01-10 00:32:09 EST
This works fine for me on fc4. I expect you've got something wrong in ~/.kde. 
Can you create a new user to test with? 
 
Comment 2 Harvey Stein 2006-01-15 00:23:32 EST
It does work better for a different user, in that it comes up, but it thinks
there's a change to commit when nothing's been touched.

In any case, what config file would I need to fix, and what should it look like?
 strace kcmshell --panel only shows 2 files in .kde being opened,
.kde/share/config/kdeglobals and .kde/share/config/kcmshellrc, and they look
like this:

[hjstein@bacall2 config]$ cat kcmshellrc
[KFileDialog Settings]
Automatic Preview=true
Recent Files=$HOME/Pictures/photo20050121-00:08:32-0057.JPG
[hjstein@bacall2 config]$ cat kdeglobals
[$Version]
update_info=kaccel.upd:kde3.3/r1,klippershortcuts.upd:04112002,kwin.upd:kde3.2Xinerama,kded.upd:kde3.0,socks.upd:kde3.0/r1,mouse_cursor_theme.upd:kde3.4.99

[Bluecurve]
SingleClick=false
macStyle=false

[DesktopIcons]
ActiveColor=invalid
ActiveColor2=invalid
ActiveEffect=togamma
ActiveSemiTransparent=false
ActiveValue=1
Animated=true
DefaultColor=invalid
DefaultColor2=invalid
DefaultEffect=none
DefaultSemiTransparent=false
DefaultValue=1
DisabledColor=invalid
DisabledColor2=invalid
DisabledEffect=none
DisabledSemiTransparent=false
DisabledValue=1
DoublePixels=false
Size=32

[DirSelect Dialog]
DirSelectDialog Size=414,450
History Items=file:///,file://$HOME

[FMSettings]
StandardFont=

[General]
UseSystemBell=true
XftHintStyle=hintmedium
XftSubPixel=
alternateBackground=183,183,183
background=157,185,200
buttonBackground=157,185,200
fixed=Courier New,10,-1,5,50,0,0,0,0,0
font=Arial,10,-1,5,50,0,0,0,0,0
linkColor=0,0,238
menuFont=Arial,10,-1,5,50,0,0,0,0,0
selectBackground=85,128,151
shadeSortColumn=true
taskbarFont=Arial,10,-1,5,50,0,0,0,0,0
toolBarFont=Arial,10,-1,5,50,0,0,0,0,0
visitedLinkColor=82,24,139
widgetStyle=HighColor
windowBackground=195,195,195

[Global Shortcuts]
Activate Window Demanding Attention=default(Alt+Ctrl+A)
Block Global Shortcuts=none
Defaults timestamp=Dec 14 200512:28:38
Desktop Screenshot=Print
Enable/Disable Clipboard Actions=default(Alt+Ctrl+X)
Halt without Confirmation=none
Kill Window=default(Alt+Ctrl+Escape)
Lock Session=default(Alt+Ctrl+L)
Log Out=default(Alt+Ctrl+Delete)
Log Out Without Confirmation=default(Alt+Ctrl+Shift+Delete)
Manually Invoke Action on Current Clipboard=default(Alt+Ctrl+R)
Mouse Emulation=default(Alt+F12)
Next Taskbar Entry=none
Popup Launch Menu=default(Alt+F1)
Previous Taskbar Entry=none
Reboot without Confirmation=none
Run Command=default(Alt+F2)
Setup Window Shortcut=none
Show Klipper Popup-Menu=default(Alt+Ctrl+V)
Show Taskmanager=default(Ctrl+Escape)
Show Window List=default(Alt+F5)
Switch One Desktop Down=none
Switch One Desktop Up=none
Switch One Desktop to the Left=none
Switch One Desktop to the Right=none
Switch User=default(Alt+Ctrl+Insert)
Switch to Desktop 1=default(Ctrl+F1)
Switch to Desktop 10=default(Ctrl+F10)
Switch to Desktop 11=default(Ctrl+F11)
Switch to Desktop 12=default(Ctrl+F12)
Switch to Desktop 13=default(Ctrl+Shift+F1)
Switch to Desktop 14=default(Ctrl+Shift+F2)
Switch to Desktop 15=default(Ctrl+Shift+F3)
Switch to Desktop 16=default(Ctrl+Shift+F4)
Switch to Desktop 17=default(Ctrl+Shift+F5)
Switch to Desktop 18=default(Ctrl+Shift+F6)
Switch to Desktop 19=default(Ctrl+Shift+F7)
Switch to Desktop 2=default(Ctrl+F2)
Switch to Desktop 20=default(Ctrl+Shift+F8)
Switch to Desktop 3=default(Ctrl+F3)
Switch to Desktop 4=default(Ctrl+F4)
Switch to Desktop 5=default(Ctrl+F5)
Switch to Desktop 6=default(Ctrl+F6)
Switch to Desktop 7=default(Ctrl+F7)
Switch to Desktop 8=default(Ctrl+F8)
Switch to Desktop 9=default(Ctrl+F9)
Switch to Next Desktop=Alt+Ctrl+Right
Switch to Next Keyboard Layout=default(Alt+Ctrl+K)
Switch to Previous Desktop=Alt+Ctrl+Left
Toggle Showing Desktop=default(Alt+Ctrl+D)
Toggle Window Raise/Lower=none
Walk Through Desktop List=Ctrl+Tab
Walk Through Desktop List (Reverse)=Ctrl+Shift+Tab
Walk Through Desktops=none
Walk Through Desktops (Reverse)=none
Walk Through Windows=default(Alt+Tab)
Walk Through Windows (Reverse)=default(Alt+Shift+Tab)
Window Above Other Windows=none
Window Below Other Windows=none
Window Close=default(Alt+F4)
Window Fullscreen=none
Window Grow Horizontal=none
Window Grow Vertical=none
Window Lower=none
Window Maximize=none
Window Maximize Horizontal=none
Window Maximize Vertical=none
Window Minimize=none
Window Move=Alt+F7
Window No Border=none
Window On All Desktops=none
Window One Desktop Down=none
Window One Desktop Up=none
Window One Desktop to the Left=none
Window One Desktop to the Right=none
Window Operations Menu=Alt+Space
Window Pack Down=none
Window Pack Left=none
Window Pack Right=none
Window Pack Up=none
Window Raise=none
Window Resize=Alt+F8
Window Screenshot=default(Alt+Print)
Window Shade=none
Window Shrink Horizontal=none
Window Shrink Vertical=none
Window to Desktop 1=none
Window to Desktop 10=none
Window to Desktop 11=none
Window to Desktop 12=none
Window to Desktop 13=none
Window to Desktop 14=none
Window to Desktop 15=none
Window to Desktop 16=none
Window to Desktop 17=none
Window to Desktop 18=none
Window to Desktop 19=none
Window to Desktop 2=none
Window to Desktop 20=none
Window to Desktop 3=none
Window to Desktop 4=none
Window to Desktop 5=none
Window to Desktop 6=none
Window to Desktop 7=none
Window to Desktop 8=none
Window to Desktop 9=none
Window to Next Desktop=none
Window to Previous Desktop=none

[KDE]
AutoSelectDelay=-1
ChangeCursor=true
EffectAnimateCombo=true
EffectAnimateMenu=false
EffectAnimateTooltip=false
EffectFadeMenu=true
EffectFadeTooltip=true
EffectNoTooltip=false
EffectsEnabled=true
InsertTearOffHandle=0
OpaqueResize=true
ShowIconsOnPushButtons=false
StartDragDist=4
StartDragTime=500
VisualActivate=1
WheelScrollLines=3
colorScheme=BlueSlate.kcsrc
contrast=5

[KFileDialog Settings]
Automatically select filename extension=true
Height 768=275
Height 800=386
LocationCombo Completionmode=5
PathCombo Completionmode=5
Recent
URLs=$HOME/Pictures/Canon/2005-12-11/,$HOME/Pictures/Canon/2004-11-25/,$HOME/Pictures/Canon/2005-01-21/,$HOME/Pictures/Canon/,$HOME/Pictures/,$HOME/tmp2/,$HOME/Pictures/Canon/foo/,/usr/bin/
Separate Directories=false
Show Bookmarks=false
Show Preview=false
Show Speedbar=true
Show hidden files=false
Sort by=Name
Sort case insensitively=true
Sort directories first=true
Sort reversed=false
View Style=Simple
Width 1024=515
Width 1280=940

[KKeyDialog Settings]
Dialog Size=512,307

[Locale]
Country=us
Language=en_US

[MainToolbarIcons]
ActiveColor=invalid
ActiveColor2=invalid
ActiveEffect=none
ActiveSemiTransparent=false
ActiveValue=1
Animated=false
DefaultColor=invalid
DefaultColor2=invalid
DefaultEffect=none
DefaultSemiTransparent=false
DefaultValue=1
DisabledColor=invalid
DisabledColor2=invalid
DisabledEffect=none
DisabledSemiTransparent=false
DisabledValue=1
DoublePixels=false
Size=16

[PanelIcons]
ActiveColor=invalid
ActiveColor2=invalid
ActiveEffect=togamma
ActiveSemiTransparent=false
ActiveValue=1
Animated=true
DefaultColor=invalid
DefaultColor2=invalid
DefaultEffect=none
DefaultSemiTransparent=false
DefaultValue=1
DisabledColor=invalid
DisabledColor2=invalid
DisabledEffect=none
DisabledSemiTransparent=false
DisabledValue=1
DoublePixels=false
Size=32

[Paths]
Trash=$HOME/Desktop/Trash/

[SmallIcons]
ActiveColor=invalid
ActiveColor2=invalid
ActiveEffect=none
ActiveSemiTransparent=false
ActiveValue=1
Animated=false
DefaultColor=invalid
DefaultColor2=invalid
DefaultEffect=none
DefaultSemiTransparent=false
DefaultValue=1
DisabledColor=invalid
DisabledColor2=invalid
DisabledEffect=none
DisabledSemiTransparent=false
DisabledValue=1
DoublePixels=false
Size=16

[Toolbar style]
Highlighting=true
IconText=IconOnly
TransparentMoving=true

[ToolbarIcons]
ActiveColor=invalid
ActiveColor2=invalid
ActiveEffect=none
ActiveSemiTransparent=false
ActiveValue=1
Animated=false
DefaultColor=invalid
DefaultColor2=invalid
DefaultEffect=none
DefaultSemiTransparent=false
DefaultValue=1
DisabledColor=invalid
DisabledColor2=invalid
DisabledEffect=none
DisabledSemiTransparent=false
DisabledValue=1
DoublePixels=false
Size=16

[WM]
activeBackground=85,128,151
activeBlend=157,185,200
activeFont=Aharoni CLM,10,-1,5,75,0,0,0,0,0
activeTitleBtnBg=220,220,220
frame=157,185,200
handle=157,185,200
inactiveBackground=156,156,156
inactiveBlend=157,185,200
inactiveForeground=214,214,214
inactiveFrame=157,185,200
inactiveHandle=157,185,200
inactiveTitleBtnBg=220,220,220
Comment 3 Ngo Than 2006-01-17 06:51:38 EST
>Bug 118172: Kcontrol can no longer configure panel (taskbar, kicker) placement
>Version:           unknown (using KDE 3.5.0-1.7.fc3.kde, Fedora Core release 3
>(Heidelberg))

i cannot reproduce this problem here with kde-3.5.0, which i built for FC4
update. It looks like you have not installed the KDE-3.5.0 packages from
fedora-core 4?


Comment 4 Harvey Stein 2006-01-21 21:41:02 EST
I upgraded from core 3 to core 4.  I have a handful of packages left over from
core 3.  Here's the full list.  Which do you think is causing a problem?

[hjstein@bacall2 ~]$ rpm -qa | grep kde
kdepim-devel-3.5.0-1.4.fc4.kde
kdeadmin-3.5.0-1.0.fc4.1
kde-i18n-Russian-3.5.0-1.0.kde
kdelibs-3.5.0-4.0.fc4.kde
qt-designer-3.3.5-11.0.fc4.kde
hotswap-kde-0.4.0-2.1.fc3.rf
pixieplus-0.6.0-0.fdr.1.cvs20041020.3.kde
redhat-artwork-0.124-1.0.fc3.kde
libwpd7-0.7.2-0.1.fc3.kde
kdebindings-dcopperl-3.5.0-1.4.fc4.kde
boost-1.33.0-3.0.fc4.kde
kde-i18n-Hebrew-3.5.0-1.0.kde
kdelibs-devel-3.5.0-4.0.fc4.kde
arts-1.5.0-1.3.fc4.kde
libmal-0.31-0.1.fc4.kde
kdegraphics-3.5.0-2.1.fc4.kde
PyQt-3.15.1-0.1.fc4.kde
PyQt-devel-3.15.1-0.1.fc4.kde
kdenetwork-devel-3.5.0-1.0.fc4.kde
ImageMagick-6.2.3.0-0.1.fc4.kde
k3b-0.12.10-0.1.fc4.kde
kdegames-3.5.0-1.0.fc4.1
qt-devel-3.3.5-11.0.fc4.kde
kdebase-3.5.0-1.2.fc4.kde
kdenetwork-3.5.0-1.0.fc4.kde
samba-common-3.0.14a-2.1.fc4.kde
samba-client-3.0.14a-2.1.fc4.kde
kdemultimedia-3.5.0-4.fc4.kde
kdeutils-devel-3.5.0-2.0.fc4.kde
sip-devel-4.3.2-0.1.fc4.kde
kdetoys-3.5.0-1.3.fc4.kde
kdegraphics-devel-3.5.0-2.1.fc4.kde
lockdev-1.0.1-7.1
kdebindings-3.5.0-1.4.fc4.kde
kde-redhat-release-3.4.1-1.fc3
arts-devel-1.5.0-1.3.fc4.kde
kdebase-devel-3.5.0-1.2.fc4.kde
sip-4.3.2-0.1.fc4.kde
kdeartwork-3.5.0-1.0.fc4.kde
dbus-qt-0.33-3.2.fc4.kde
lockdev-devel-1.0.1-7.1
kde-i18n-French-3.5.0-1.0.kde
rdesktop-1.4.1-0.0.fc4.kde
wv2-0.2.2-5.0.fc4.kde
kdeutils-3.5.0-2.0.fc4.kde
libmusicbrainz20-2.0.2-0.0.3.kde
kdeedu-3.5.0-1.0.fc4.kde
kdepim-3.5.0-1.4.fc4.kde
kdesdk-3.5.0-1.0.fc4.kde
kdesdk-devel-3.5.0-1.0.fc4.kde
libmusicbrainz-2.1.2-0.2.fc4.kde
qt-3.3.5-11.0.fc4.kde
kdeaddons-3.5.0-1.2.fc4.kde
Comment 5 Niko Mirthes 2006-02-11 15:03:17 EST
Harvey, are you still having issues with kicker's kcontrol tab? If not, I 
would think this bug can be closed. 
Comment 6 Harvey Stein 2006-02-11 23:52:52 EST
Still have the same problem.  Any idea what I should try?

Thanks.
Comment 7 Ngo Than 2006-02-13 06:13:47 EST
Harvey, taken a look at your package-list, you have installed the KDE-RedHat  
(unofficial) Packages from http://kde-redhat.sourceforge.net/.  
  
I still cannot reproduce this problem with our kde-3.5.1 packages, which i 
built for FC4 update. It's surely a bug in KDE-RedHat (unofficial) Packages. 
Please report this bug to http://kde-redhat.sourceforge.net/.  
  
  

Note You need to log in before you can comment on or make changes to this bug.